Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Static Public Member Functions | Protected Attributes | Properties | List of all members
FlexibleGameObject Class Reference

参照方法が複数ある柔軟なGameObject型を扱うクラス。 More...

Inheritance diagram for FlexibleGameObject:

## Public Member Functions
override object | GetValueObject ()
| 値をobjectで返す。 More...
override Object | GetConstantObject ()
| FlexibleSceneObjectType.ConstantのObjectを返す。 More...
| FlexibleGameObject ()
| FlexibleGameObjectデフォルトコンストラクタ More...
| FlexibleGameObject (GameObject gameObject)
| FlexibleGameObjectコンストラクタ。 More...
| FlexibleGameObject (GameObjectParameterReference parameter)
| FlexibleGameObjectコンストラクタ。 More...
| FlexibleGameObject (InputSlotGameObject slot)
| FlexibleGameObjectコンストラクタ。 More...
| FlexibleGameObject (FlexibleHierarchyType hierarchyType)
| FlexibleGameObjectコンストラクタ。 More...
Public Member Functions inherited from FlexibleSceneObjectBase
bool | SetHierarchyIfConstantNull (FlexibleHierarchyType hierarchyType=FlexibleHierarchyType.Self)
| FlexibleSceneObjectType.Constantであり参照しているオブジェクトがnullの場合に、FlexibleSceneObjectType.Hierarchyへ変更する。 More...

## Static Public Member Functions
static | operator GameObject (FlexibleGameObject flexible)
| FlexibleGameObjectをGameObjectにキャスト。 More...
static | operator FlexibleGameObject (GameObject value)
| GameObjectをFlexibleGameObjectにキャスト。 More...

## Protected Attributes
GameObject | _Value = default(GameObject)
| 固定値 More...
GameObjectParameterReference | _Parameter = new GameObjectParameterReference()
| パラメータ参照 More...
InputSlotGameObject | _Slot = new InputSlotGameObject()
| データ入力スロット More...
Protected Attributes inherited from FlexibleSceneObjectBase
FlexibleSceneObjectType | _Type = FlexibleSceneObjectType.Constant
| 値の指定タイプ More...
FlexibleHierarchyType | _HierarchyType = FlexibleHierarchyType.Self
| TypeがFlexibleSceneObjectType.Hierarchyである時に指定するHierarchyの参照タイプ。 More...

## Properties
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
GameObject | value`[get]`
| 値を返す More...
Properties inherited from FlexibleSceneObjectBase
Object | ownerObject`[get, set]`
| このインスタンスを所有しているオブジェクトを返す More...
System.Reflection.FieldInfo | fieldInfo`[get, set]`
| このインスタンスを所有しているFieldInfoを返す More...
GameObject | targetGameObject`[get]`
| FlexibleSceneObjectType.Hierarchyの場合に参照する対象のGameObjectを返す。 More...
FlexibleSceneObjectType | type`[get, set]`
| Typeを返す More...
FlexibleHierarchyType | hierarchyType`[get, set]`
| FlexibleSceneObjectType.Hierarchyの場合、どのオブジェクトを参照するかを表すFlexibleHierarchyTypeを返す More...

## Detailed Description

参照方法が複数ある柔軟なGameObject型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleGameObject() [1/5]

FlexibleGameObject | ( |  | ) |

FlexibleGameObjectデフォルトコンストラクタ

## ◆ FlexibleGameObject() [2/5]

FlexibleGameObject | ( | GameObject | gameObject | ) |

FlexibleGameObjectコンストラクタ。

Parameters

  gameObject | GameObject

## ◆ FlexibleGameObject() [3/5]

FlexibleGameObject | ( | GameObjectParameterReference | parameter | ) |

FlexibleGameObjectコンストラクタ。

Parameters

  parameter | Parameter

## ◆ FlexibleGameObject() [4/5]

FlexibleGameObject | ( | InputSlotGameObject | slot | ) |

FlexibleGameObjectコンストラクタ。

Parameters

  slot | スロット

## ◆ FlexibleGameObject() [5/5]

FlexibleGameObject | ( | FlexibleHierarchyType | hierarchyType | ) |

FlexibleGameObjectコンストラクタ。

Parameters

  hierarchyType | 参照するオブジェクトのヒエラルキータイプ

## Member Function Documentation

## ◆ GetConstantObject()

override Object GetConstantObject | ( |  | ) |
| virtual

FlexibleSceneObjectType.ConstantのObjectを返す。

Returns
  Constantの時のObject値

Implements FlexibleSceneObjectBase.

## ◆ GetValueObject()

override object GetValueObject | ( |  | ) |
| virtual

値をobjectで返す。

Returns
  値のobject

Implements FlexibleSceneObjectBase.

## ◆ operator FlexibleGameObject()

static operator FlexibleGameObject | ( | GameObject | value | ) |
| explicit static

GameObjectをFlexibleGameObjectにキャスト。

Parameters

  value | GameObject

## ◆ operator GameObject()

static operator GameObject | ( | FlexibleGameObject | flexible | ) |
| explicit static

FlexibleGameObjectをGameObjectにキャスト。

Parameters

  flexible | FlexibleGameObject

## Member Data Documentation

## ◆ _Parameter

GameObjectParameterReference _Parameter = new GameObjectParameterReference()
| protected

パラメータ参照

## ◆ _Slot

InputSlotGameObject _Slot = new InputSlotGameObject()
| protected

データ入力スロット

## ◆ _Value

GameObject _Value = default(GameObject)
| protected

固定値

## Property Documentation

## ◆ parameter

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

## ◆ value

GameObject value
| get

値を返す